---
title: Number.isInteger()
slug: Web/JavaScript/Reference/Global_Objects/Number/isInteger
tags:
  - JavaScript
  - Method
  - Number
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Number.isInteger()</code></strong> method determines whether the passed value is an integer.</p>

<div>{{EmbedInteractiveExample("pages/js/number-isinteger.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Number.isInteger(<var>value</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>The value to be tested for being an integer.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}} indicating whether or not the given value is an integer.</p>

<h2 id="Description">Description</h2>

<p>If the target value is an integer, return <code>true</code>, otherwise return <code>false</code>. If the value is {{jsxref("NaN")}} or {{jsxref("Infinity")}}, return <code>false</code>. The method will also return <code>true</code> for floating point numbers that can be represented as integer.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_isInteger">Using isInteger</h3>

<pre class="brush: js notranslate">Number.isInteger(0);         // true
Number.isInteger(1);         // true
Number.isInteger(-100000);   // true
Number.isInteger(99999999999999999999999); // true

Number.isInteger(0.1);       // false
Number.isInteger(Math.PI);   // false

Number.isInteger(NaN);       // false
Number.isInteger(Infinity);  // false
Number.isInteger(-Infinity); // false
Number.isInteger('10');      // false
Number.isInteger(true);      // false
Number.isInteger(false);     // false
Number.isInteger([1]);       // false

Number.isInteger(5.0);       // true
Number.isInteger(5.000000000000001); // false
Number.isInteger(5.0000000000000001); // true
</pre>

<h2 id="Polyfill">Polyfill</h2>

<pre class="brush: js notranslate">Number.isInteger = Number.isInteger || function(value) {
  return typeof value === 'number' &amp;&amp;
    isFinite(value) &amp;&amp;
    Math.floor(value) === value;
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.isinteger', 'Number.isInteger')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.isInteger")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{jsxref("Number")}} object it belongs to.</li>
</ul>
